List
curl --request GET \
--url https://developer.synq.io/api/dataproducts/v2 \
--header 'Authorization: Bearer <token>'import requests
url = "https://developer.synq.io/api/dataproducts/v2"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developer.synq.io/api/dataproducts/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataproducts": [
{
"id": "<string>",
"entityId": "<string>",
"title": "<string>",
"description": "<string>",
"folder": "<string>",
"priority": "PRIORITY_UNSPECIFIED",
"source": "SOURCE_SYNQ",
"definition": {
"parts": [
{
"entityId": "<string>",
"id": "<string>"
}
]
},
"etag": "<string>",
"createdBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
},
"via": "VIA_UNSPECIFIED"
},
"updatedBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
},
"via": "VIA_UNSPECIFIED"
},
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z",
"deletedAt": "2023-01-15T01:30:15.01Z"
}
],
"pageInfo": {
"totalCount": 123,
"count": 123,
"lastId": "<string>"
}
}synq.dataproducts.v2.DataproductsService
List
List the data products in the workspace, paginated. Narrow with folder
and priorities.
GET
/
api
/
dataproducts
/
v2
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Opaque cursor token for the next page of results. If not provided, returns the first page. This is an encoded token that should be passed as-is from the previous PageInfo.last_id.
Maximum number of items to return in a single page. If not provided, defaults vary per API.
Required range:
x >= 0Restrict to a single folder.
Maximum string length:
500Restrict to these priorities. Empty returns all priorities.
Priority. P1 is the highest.
Available options:
PRIORITY_UNSPECIFIED, PRIORITY_P3, PRIORITY_P2, PRIORITY_P1 Include soft-deleted products.
Omit the membership definition from each product.